hifrog - Bug #4808

core dumped on ./hifrog --claim 2 ~/dev/hi-bench/main-bench/Funfrog15_bench/mem.c --logic prop
15/03/2017 20:51 - Sepideh Asadi

Status: Closed Start date: 15/03/2017
Priority: Normal Due date:

Assignee: Karine Even Mendoza % Done: 100%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

/hifrog --claim 2 ~/dev/hi-bench/main-bench/Funfrog15_bench/mem.c --logic prop

hifrog: solvers/prop_itp.cpp:366: void prop_itpt::generalize(const prop_conv_solvert&, const std::vector<symbol_exprt>&): Assertion
‘renaming]idx] != (Ox7fffffff * 2U + 1U)’ failed.
Aborted (core dumped)

Program received signal SIGABRT, Aborted.

0x00007ffff6880c37 in Gl_raise (sig=sig@entry=6)

at ../nptl/sysdeps/unix/sysv/linux/raise.c:56

56 ../nptl/sysdeps/unix/sysv/linux/raise.c: No such file or directory.

(gdb) bt

#0 0x00007ffff6880c37 in _Gl_raise (sig=sig@entry=6)

at ../nptl/sysdeps/unix/sysv/linux/raise.c:56

#1 0x00007ffff6884028 in __Gl_abort () at abort.c:89

#2 0x00007ffff6879bf6 in __assert fail_base (

fmt=0x7ffff69ca3b8 "%s%s%s:%u: s%sAssertion “%s' failed.\n%n",

assertion=assertion@entry=0x81ba88 "renaming[idx] != (Ox7fffffff * 2U + 1U)",

file=file@entry=0x81b9d7 "solvers/prop_itp.cpp”, line=line@entry=366,

function=function@entry=0x81bbc0 <prop_itpt:.generalize(prop_conv_solvert constx%x, std::vector<symbol_exprt,
std::allocator<symbol_exprt> > const&)::_PRETTY_FUNCTION__> "void prop_itpt:.generalize(const prop_conv_solvert&, const
std::vector<symbol_exprt>&)") at assert.c:92

#3 0x00007ffff6879ca2 in _GI_assert_fail (

assertion=0x81ba88 "renaming][idx] != (Ox7fffffff * 2U + 1U)",

file=0x81b9d7 "solvers/prop_itp.cpp", line=366,

function=0x81bbc0 <prop_itpt::generalize(prop_conv_solvert const&, std::vector<symbol_exprt, std::allocator<symbol_exprt> >
const&)::_PRETTY_FUNCTION__> "void prop_itpt::generalize(const prop_conv_solvert&, const std::vector<symbol_exprt>&)")
at assert.c:101

#4 0x00000000005a0c31 in prop_itpt::generalize (this=0x21321b0, decider=...,

symbols=std::vector of length 108, capacity 110 ={...})

at solvers/prop_itp.cpp:366

#5 0x00000000004efd96 in prop_partitioning_target_equationt::extract_interpolants (

this=0x7fffffffb970, interpolator=..., decider=...,

interpolant_map=std::vector of length 0, capacity 1)

at prop_partitioning_target_equation.cpp:726

History

#1 - 01/04/2017 00:09 - Karine Even Mendoza

- Assignee set to Karine Even Mendoza

Need to check, can be due to changes in cprover

#2 - 01/04/2017 00:20 - Karine Even Mendoza

- Status changed from New to In Progress

Looks like a general problem with prop itp due to changes in cprover

#3 - 04/04/2017 16:02 - Karine Even Mendoza
- Status changed from In Progress to Resolved

- % Done changed from 0 to 100

18/05/2024 12




Partial fix for the problem of globals SSA - fixed this issue.

SYMEX TIME: 0.012

All SSA steps: 353

Ignored SSA steps after slice: 336

SLICER TIME: 0

CONVERSION TIME: 0.033

Post-processing

Solving with OpenSMT2 (QF_BOOL)

RESULT

SOLVER TIME: 0.004

Start generating interpolants...INTERPOLATION TIME: 0.002

; Restarts.................:
; Conflicts.......c..eeit
; Decisions .
; Propagations.............: 71

; Conflict literals........: 0

; T-Lemmata learnt.........: 0

; T-Lemmata perm learnt....: 0
; Conflicts learnt.........: 0

; Satisfiable calls........: 0

; Unsatisfiable calls......: 0
; egraph time..............

; backtrack time....

VERIFICATION SUCCESSFUL

#4 - 02/05/2017 23:19 - Karine Even Mendoza

- Status changed from Resolved to Closed
